diff --git a/sbin/load_ConfigDb.sh b/sbin/load_ConfigDb.sh
index e62092969301662f5714ce88f028c97b427cc9c8..03ab449a026b5de41056f16de0d2e566a00adfbb 100755
--- a/sbin/load_ConfigDb.sh
+++ b/sbin/load_ConfigDb.sh
@@ -9,7 +9,10 @@ fi
 
 # copy file into container to read it from container, as the file's location
 # in the container won't be the same as on the host.
-docker cp "${file}" dsconfig:/tmp/dsconfig-load-settings.json
+docker cp "${file}" dsconfig:/tmp/dsconfig-load-settings.json || exit 1
 
 # write settings
 docker exec -it dsconfig json2tango --write /tmp/dsconfig-load-settings.json
+
+# somehow json2tango does not return 0 on success
+exit 0
diff --git a/sbin/update_ConfigDb.sh b/sbin/update_ConfigDb.sh
index 90cf92c2418586edf3194f2b0d422040c0f8c7de..8d71c312fc94ba4dba45b17c05a966f62fa9ff34 100755
--- a/sbin/update_ConfigDb.sh
+++ b/sbin/update_ConfigDb.sh
@@ -9,7 +9,10 @@ fi
 
 # copy file into container to read it from container, as the file's location
 # in the container won't be the same as on the host.
-docker cp "${file}" dsconfig:/tmp/dsconfig-update-settings.json
+docker cp "${file}" dsconfig:/tmp/dsconfig-update-settings.json || exit 1
 
 # update settings
 docker exec -it dsconfig json2tango --write --update /tmp/dsconfig-update-settings.json
+
+# somehow json2tango does not return 0 on success
+exit 0